Bug 85155 - crash eclipse when opening new dialog windows
crash eclipse when opening new dialog windows
Product: Red Hat Public Beta
Classification: Retired
Component: gtk2 (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2003-02-25 21:10 EST by hui zhang
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-25 22:12:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hui zhang 2003-02-25 21:10:35 EST
Using JDK1.4.1_01 and eclipse 2.1 RC1

Action: click File->New->Project ---> CRASH
Error reported: unknown native method Signal 11 from libgdk-x11-2.0.so

Workaround: compile gtk+-2.2.1 from source downloaded from gnome.org

How reproducible:
Comment 1 Owen Taylor 2003-02-25 22:12:06 EST
You'll have to report this to the Eclipse project (and figure out
what native method it is dying on); GTK+-2.2.1 as it is in Raw Hide 
exports an identical ABI to the upstream tarball so most likely
eclipse is illegally accessing some internal method of GTK+.
Comment 2 hui zhang 2003-02-26 10:12:15 EST
bug was noted at eclipse.

Note You need to log in before you can comment on or make changes to this bug.